#### D.15.11.2 logHessian

Procedure from library `maxlike.lib` (see maxlike_lib).

Usage:
  logHessian(I,u); ideal I, intvec u
  I represents the algebraic statistical model and u is the data vector under considerarion.

Return:
  matrix: a modified version of the Hessian matrix of the loglikelihood function defined by u and (the given generators of) I.

Note:
  This matrix has the following property: if it is negative definite at a point, then the actual Hessian is also negative definite at that point. The same holds for positive definiteness.

Example:

    LIB "maxlike.lib";
    ring r = 0,(x,y),dp;
    poly pA = -10x+2y+25;
    poly pC = 8x-y+25;
    poly pG = 11x-2y+25;
    poly pT = -9x+y+25;
    intvec u = 10,14,15,10;
    ideal I = pA,pC,pG,pT;
    matrix H = logHessian(I,u); H;
    ==> H[1,1]=-689040x3+314898x2y-44808xy2+1974y3+9619350x2-2949075xy+240975y2+6\
       151875x-1072500y-70640625
    ==> H[1,2]=110880x3-51936x2y+7596xy2-348y3-1489200x2+431400xy-33450y2-1072500\
       x+176250y+11437500
    ==> H[2,1]=110880x3-51936x2y+7596xy2-348y3-1489200x2+431400xy-33450y2-1072500\
       x+176250y+11437500
    ==> H[2,2]=-16580x3+7972x2y-1192xy2+56y3+243150x2-66800xy+4900y2+176250x-2750\
       0y-1937500

User manual for Singular version 4.4.1, 2025, generated by texi2html.